#ifndef __PrpObjFigurePen_h
#define __PrpObjFigurePen_h

// ProObjFigurePen.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "ProObjFigurePenSub.h"	// For CFCPROOBJFIGUREPEN.

#include "StcLine.h"		// For CFCStcLine.
#include "StcBox.h"			// For CFCStcBox.
#include "CmbPenRegister.h"	// For CFCCmbPenRegister.
#include "CmbPenStyle.h"	// For CFCCmbPenStyle.
#include "CmbPenWeight.h"	// For CFCCmbPenWeight.
#include "CmbSColor.h"		// For CFCCmbSColor.
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

class CFCProObjFigureBrush;

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigurePen _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjFigurePen : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjFigurePen)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjFigurePen();
	~CFCProObjFigurePen();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjFigurePen)
	enum { IDD = IDD_PRO_FIGURE_PEN };
	CFCStcLine			m_stlPenWeightSample;
	CFCStcLine			m_stlPenSample;
	CFCStcBox			m_stbBrushSample;
	CFCCmbPenRegister	m_cbbPenRegister;
	CFCCmbPenStyle		m_cbbPenStyle;
	CFCCmbPenWeight		m_cbbPenWeight;
	CFCCmbSColor		m_cbbPenBackSColor;
	//}}AFX_DATA

// _xZkqqHx_iDhEiDiMiDjDiDgIjAoJiMlO_xHqqkZx_.
//friend class CFCProObjFigureBrush;

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjE_xHqqkZx_.
public:
// 00.11.08 Fukushiro M. 1_xZkqqHx_iNhDjFmPiNfI_xHqqkZx_ ()
//	void	SetPrpObjFigureBrush (const CFCProObjFigureBrush* prppFig1);
	void	SetPrpObjFigureBrush (CFCProObjFigureBrush* prppFig1);
	void	SampleInit (CFCStcLine& stlPenSample) const;

CFCPROOBJFIGUREPEN

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjE_xHqqkZx_.
protected:
// 00.11.08 Fukushiro M. 1_xZkqqHx_iNhDjFmPiNfI_xHqqkZx_ ()
//	const CFCProObjFigureBrush*	m_prppFigure1;
	CFCProObjFigureBrush*	m_prppFigure1;

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCpAjAlGjAkMiClFiDeJiBfLiDgPiBfLiDiJiDeDiDgIiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCProObjFigurePen)
	public:
	virtual void OnOK();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjFigurePen)
	virtual BOOL OnInitDialog();
	afx_msg void OnFg0BtnRecord();
	afx_msg void OnFg0BtnRegist();
	afx_msg void OnFg0BtnBackcol();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	afx_msg void OnEditchangeFg0CbbPenWeight();
	afx_msg void OnCloseupFg0CbbPenWeight();
	afx_msg void OnSelchangeFg0CbbPenRegister();
	afx_msg void OnSelchangeFg0CbbPenStyle();
	afx_msg void OnSelchangeFg0CbbPenWeight();
	afx_msg void OnSelchangeFg0CbbPenBackSColor();
//	afx_msg void OnSelchangeFg0CbbPenPattern();
//	afx_msg void OnSelchangeFg0CbbPenBackSColor();
	DECLARE_MESSAGE_MAP()

}; // class CFCProObjFigurePen.

#endif//__PrpObjFigurePen_h
